import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { B as BulkInviteOptions, a as BulkSiteInviteResponse, R as ResendInviteOptions, S as SiteInviteResponse } from './identity-invites-v1-site-invite-site-invites.universal-D4Vvw8Bs.mjs';
export { A as AcceptSiteInviteRequest, n as AcceptSiteInviteResponse, l as BulkSiteInviteRequest, t as ContributorLimitation, C as CursorPaging, r as GetContributorLimitRequest, s as GetContributorLimitResponse, i as GetSiteInviteRequest, j as GetSiteInviteResponse, G as GetSiteInvitesRequest, d as GetSiteInvitesResponse, I as InviteStatus, L as LocationRestriction, P as Paging, u as ParseSiteInviteTokenRequest, v as ParseSiteInviteTokenResponse, Q as QuerySiteInvitesRequest, h as QuerySiteInvitesResponse, e as QueryV2, f as QueryV2PagingMethodOneOf, m as ResendSiteInviteRequest, o as RevokeSiteInviteRequest, p as RevokeSiteInviteResponse, c as SiteInvite, k as SiteInviteRequest, b as SortOrder, g as Sorting, U as UpdateSiteInviteRequest, q as UpdateSiteInviteResponse } from './identity-invites-v1-site-invite-site-invites.universal-D4Vvw8Bs.mjs';

declare function bulkInvite$1(httpClient: HttpClient): BulkInviteSignature;
interface BulkInviteSignature {
    /**
     * Creates and sends emails inviting potential site contributors to become contributors in the requesting site.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Role IDs, referred to as policy IDs, to assign to the contributors.
     * @param - Filter options. The `emails` field **must** be passed.
     */
    (policyIds: string[], options?: BulkInviteOptions | undefined): Promise<BulkSiteInviteResponse>;
}
declare function resendInvite$1(httpClient: HttpClient): ResendInviteSignature;
interface ResendInviteSignature {
    /**
     * Resends the email invitation to a potential site contributor.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Invite ID.
     * @param - Filter options.
     */
    (inviteId: string, options?: ResendInviteOptions | undefined): Promise<SiteInviteResponse>;
}
declare function revokeInvite$1(httpClient: HttpClient): RevokeInviteSignature;
interface RevokeInviteSignature {
    /**
     * Revokes a pending site contributor invite.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Invite ID.
     */
    (inviteId: string): Promise<void>;
}

declare const bulkInvite: MaybeContext<BuildRESTFunction<typeof bulkInvite$1> & typeof bulkInvite$1>;
declare const resendInvite: MaybeContext<BuildRESTFunction<typeof resendInvite$1> & typeof resendInvite$1>;
declare const revokeInvite: MaybeContext<BuildRESTFunction<typeof revokeInvite$1> & typeof revokeInvite$1>;

export { BulkInviteOptions, BulkSiteInviteResponse, ResendInviteOptions, SiteInviteResponse, bulkInvite, resendInvite, revokeInvite };
